Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 12 Dec 2019, 01:32
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars )
XDG_RUNTIME_DIR not set
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [11 Posts]  
Author Message
soniabu


Joined: 01 Feb 2018
Posts: 102
Location: Paris

PostPosted: Tue 08 Oct 2019, 14:17    Post subject:  XDG_RUNTIME_DIR not set  

Hello everybody.
With my Biobnicpup64 I wanted to update Calibre to version 4.1.0. I join the shot; as you can see after launching Calibre from the terminal,
the terminal message appears in the shot.
Despite that message, however, Calibre installs equally and with
a message of good purpose,
but when I re-launch Calibre it does not start
and there is no way of starting it,
I am worried because I have so many books memorized and I would like to keep them.
Can anyone help me?
thanks
sonia
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 4209
Location: holland

PostPosted: Tue 08 Oct 2019, 16:11    Post subject:  

Hi soniabu,

Try:
Code:
sudo calibre

Works for me anyway, but I can't really explain why (something to do with running as root, I guess).

Fred

_________________
Dog Linux website
Tinylinux blog by wiak
Back to top
View user's profile Send private message 
williams2

Joined: 14 Dec 2018
Posts: 206

PostPosted: Tue 08 Oct 2019, 17:00    Post subject:  

The XDG_RUNTIME_DIR message is unimportant.

If you want, you can put this in the file /etc/profile or /etc/profile.local
Code:
export XDG_RUNTIME_DIR=/tmp/runtime-root


If you open a text terminal console,
you can start calibre by typing:
Code:
calibre

There will probably be many error messages,
one of the error messages may tell you what is wrong.

You can get other versions of Calibre here:
https://download.calibre-ebook.com/
Back to top
View user's profile Send private message 
williams2

Joined: 14 Dec 2018
Posts: 206

PostPosted: Wed 09 Oct 2019, 01:53    Post subject:  

version 4.1.0 seems to stop with a segfault error.

A segfault sometimes means that some of the library files are incompatible.

And version 4.1.0 also does not want to run as root.

I am running version 3.40.1.
It is happy running as root,
and does not segfault.

You can download Calibre packages here:
https://download.calibre-ebook.com/
You can copy the .txz file somewhere,
right click and select Uextract to uzip it.
You can rename the directory.
Click calibre in the directory to run it.

That is, the extracted directory should just run, no need to install.
To uninstall, just delete the directory.

If you keep your Calibre Library files that are in /root,
all your books should still be there and work ok.

In other words, it should be easy to reinstall an older version.
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 12987
Location: S.C. USA

PostPosted: Wed 09 Oct 2019, 08:05    Post subject:  

Tried as williams2 suggests.

Used UExtract to extract the contents of the calibre-4.1.0-x86_64.txz.
It makes a directory of the extracted contents.
calibre-4.1.0-x86_64.txz.extracted

That way seems to work for me.
I notice the Uextracted calibre-4.1.0-x86_64.txz, makes a directory that comes with what seems to be, a lot, if not all, needed dependency files.

To do a little better install.
Take the calibre-4.1.0-x86_64.txz.extracted directory and put it in /opt
If you want to you can rename it calibre.
Take the calibre file that you find inside calibre-4.1.0-x86_64.txz.extracted directory, drag and drop it to the desktop.
Now you have calibre installed in /opt
A calibre icon, on the desktop to click on, to start calibre.

_________________
The things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
YaPI(any iso installer)

Last edited by bigpup on Wed 09 Oct 2019, 08:32; edited 1 time in total
Back to top
View user's profile Send private message 
soniabu


Joined: 01 Feb 2018
Posts: 102
Location: Paris

PostPosted: Wed 09 Oct 2019, 08:19    Post subject:  

Well guys, thanks to everyone.
To be careful, I will follow all the advice in order to understand what happened.
sonia
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 4209
Location: holland

PostPosted: Wed 09 Oct 2019, 12:39    Post subject:  

williams2 wrote:
version 4.1.0 seems to stop with a segfault error.

A segfault sometimes means that some of the library files are incompatible.

And version 4.1.0 also does not want to run as root.


Somehow for me it doesn't segfault on Bionicpup64 when running with sudo: "sudo calibre"
It doesn't work for you ?

Fred

_________________
Dog Linux website
Tinylinux blog by wiak
Back to top
View user's profile Send private message 
williams2

Joined: 14 Dec 2018
Posts: 206

PostPosted: Wed 09 Oct 2019, 14:30    Post subject:  

I did try sudo calibre. with 4.1.0

The calibre library gui runs,
but I couldn't view the epub instruction book.

Running ebook-viewer in a terminal:
Code:
# ./ebook-viewer thomas-hardy_far-from-the-madding-crowd.epub
[6530:6530:1009/141533.733333:ERROR:zygote_host_impl_linux.cc(89)] Running as root without --no-sandbox is not supported. See https://crbug.com/638180.
#


sudo ./ebook-viewer does the same thing.
I do not have Chromium installed.

Other distros that enable sudo for unprivileged users
give that user all of root's powers.
They might as well run as root.
Puppy's spot is very safe.

Anyway, Sonia's books should be safe.
If 4.1.0 won't work
it should be easy to install an older version.
And it might be possible to get 4.1.0 to work.
Back to top
View user's profile Send private message 
soniabu


Joined: 01 Feb 2018
Posts: 102
Location: Paris

PostPosted: Thu 10 Oct 2019, 16:15    Post subject:  

I installed the Calibre 3.21 / version which is in the PPM and therefore everything went smoothly.
Thanks for the suggestions.
I found all my books well preserved.
100 kisses for everyone
sonia
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 4209
Location: holland

PostPosted: Thu 10 Oct 2019, 17:20    Post subject:  

@soniabu, good that you got it working now !

williams2 wrote:
I did try sudo calibre. with 4.1.0

The calibre library gui runs,
but I couldn't view the epub instruction book.


Yes, that's right, it seems that there's no way to run the newest calibre as root.
On Bionicpup64:
Tried: run-as-spot calibre
that also didn't work
Then tried:
Code:
sudo run-as-spot calibre

and it runs well from what I tested (opens e-book correctly)
It's a bit weird workaround though Rolling Eyes

Fred

_________________
Dog Linux website
Tinylinux blog by wiak
Back to top
View user's profile Send private message 
williams2

Joined: 14 Dec 2018
Posts: 206

PostPosted: Thu 10 Oct 2019, 23:37    Post subject:  

ash, bash, sh and sudo have slightly different environments
Code:
set

which can sometimes cause the weird behaviour.

Also clicking a script in a rox filer window may have a different environment,
and clicking a script with a .sh extension may not run the same
as clicking a script without a .sh extension.

And some software might check some of the environmental variables
and do something different depending on what is in the variables.

And spot and root will have different environments.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [11 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0619s ][ Queries: 12 (0.0084s) ][ GZIP on ]